SmartSearch - Run a UKAML Check Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/addons/smartsearch/ukaml/{client_uuid}/run

Path parameters

  • client_uuid string Required
application/json

Body

  • attributes object Required

    The attributes to be sent

    Hide attributes attributes Show attributes attributes object
    • bank object

      The array of bank parameters

      Hide bank attributes Show bank attributes object
      • account_type string

        Bank account type

      • sortcode string

        Bank account sort code

      • account_number string

        Bank account number

      • roll_number string

        Bank account roll number

    • addresses array[object]

      The array of addresses

      Hide addresses attributes Show addresses attributes object
      • flat string

        Address flat name

      • building string

        Address building name or number

      • street_1 string

        First line of the address

      • street_2 string

        Second line of the address

      • town string

        Town or city of the address

      • region string

        Region of the address

      • postcode string

        Postcode of the address

        Maximum length is 12. Format should match the following pattern: ^[a-zA-Z]{1,2}\d[a-zA-Z\d]?\s*\d[a-zA-Z]{2}$.

      • duration integer

        Length of time the individual has lived at this address in months

    • documents array[object]

      The array of document parameters

      Hide documents attributes Show documents attributes object
      • national_insurance string

        National insurance number

      • passport object

        The array of passport parameters

        Hide passport attributes Show passport attributes object
        • country string

          Passport country code

        • expiry string(date)

          Passport expiry date

        • mrz_line_2 string

          Passport number

      • driving_licence object

        The array of driving licence parameters

        Hide driving_licence attribute Show driving_licence attribute object
        • number string

          Driving Licence number

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v1/addons/smartsearch/ukaml/{client_uuid}/run
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/addons/smartsearch/ukaml/6ff8f7f6-1eb3-3525-be4a-3932c805afed/run' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"attributes":{"bank":{"account_type":"direct_debit","sortcode":"12-34-56","account_number":"12345678","roll_number":"CXJ-K6 897/98X"},"addresses":[],"documents":[]}}'
Request examples
{
  "attributes": {
    "bank": {
      "account_type": "direct_debit",
      "sortcode": "12-34-56",
      "account_number": "12345678",
      "roll_number": "CXJ-K6 897/98X"
    },
    "addresses": [],
    "documents": []
  }
}
Response examples (401)
{
  "message": "Unauthenticated."
}